> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set or Update an Account's Interest Rate



## OpenAPI

````yaml api-reference/openapi-account.json PATCH /account/{account_id}/interest_rate
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{account_id}/interest_rate:
    patch:
      tags:
        - Account
      summary: Set or update an account's interest rate
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            description: Account ID
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  interest_rate: 0.04
            schema:
              properties:
                interest_rate:
                  description: >-
                    Account interest rate. Must be between 0 and 1. For example,
                    0.015 would correspond to a rate of 1.5%.
                  exclusiveMaximum: true
                  format: float
                  maximum: 1
                  minimum: 0
                  type: number
        description: The account.interest_rate to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_number: '64141601'
                    account_type: checking
                    address:
                      city: San Francisco
                      postal_code: '94104'
                      state: CA
                      street_line_1: 1 Market St
                      street_line_2: Suite 42
                    available_balance: '86753.09'
                    bank_id: bank_treasuryprime
                    business_ids: []
                    created_at: '2017-11-02T11:55:14Z'
                    currency: USD
                    current_balance: '86753.09'
                    funded: true
                    id: acct_1029384756
                    interest_rate: '0.04000'
                    lock: null
                    locked: false
                    name: George Washington
                    org_id: org_1gwmpv3payf
                    person_ids:
                      - owner_01d6y044p21s
                    primary_person_id: owner_01d6y044p21s
                    routing_number: '021001208'
                    status: open
                    tags: null
                    updated_at: '2017-11-02T11:55:14Z'
                    userdata: null
              schema:
                properties: {}
          description: The account.interest_rate updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````